## org.eclipse.emf.ecore.xml.type.internal
Class DataValue.TypeValidator

    java.lang.Object
      org.eclipse.emf.ecore.xml.type.internal.DataValue.TypeValidator

Enclosing class:
  DataValue

    public static class DataValue.TypeValidator

extends java.lang.Object

Field Summary
`static short` `EQUAL`
`static short` `GREATER_THAN`
`static short` `INDETERMINATE`
`static short` `LESS_THAN`

Constructor Summary
`DataValue.TypeValidator()`

Method Summary
`static int` `getDigit(char ch)`
`static boolean` `isDigit(char ch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LESS_THAN

    public static final short LESS_THAN

See Also:
  Constant Field Values

### EQUAL

    public static final short EQUAL

See Also:
  Constant Field Values

### GREATER_THAN

    public static final short GREATER_THAN

See Also:
  Constant Field Values

### INDETERMINATE

    public static final short INDETERMINATE

See Also:
  Constant Field Values

Constructor Detail

### DataValue.TypeValidator

    public DataValue.TypeValidator()

Method Detail

### isDigit

    public static final boolean isDigit(char ch)

### getDigit

    public static final int getDigit(char ch)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.